ArgParser.HelpArg (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class ArgParser.HelpArg

    java.lang.Object
      com.bbn.openmap.util.ArgParser.Arg
          com.bbn.openmap.util.ArgParser.HelpArg

Enclosing class:
  ArgParser

    public class ArgParser.HelpArg

extends ArgParser.Arg

A Arg class to spur off help messages. Gets added automatically to the parser.

Field Summary

Fields inherited from class com.bbn.openmap.util.ArgParser.Arg
`c, dashedArguments, description, flagged, name, numExpectedValues, values`

Constructor Summary
`ArgParser.HelpArg()`

Method Summary
`boolean` | `is(java.lang.String arg, boolean allowAbbr)` Returns true if the atg string matches the name of the Arg, or, if allowAbbr is true, returns true if the arg length is one and it matches the first letter of the arg name.

Methods inherited from class com.bbn.openmap.util.ArgParser.Arg
`readArgs, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgParser.HelpArg

    public ArgParser.HelpArg()

Method Detail

### is

    public boolean is(java.lang.String arg,
                      boolean allowAbbr)

  Description copied from class: `ArgParser.Arg`
  Returns true if the atg string matches the name of the Arg, or, if allowAbbr is true, returns true if the arg length is one and it matches the first letter of the arg name.

  Overrides:
    `is` in class `ArgParser.Arg`
  Parameters:
    `arg` - string to test
    `allowAbbr` - ok to check first letter
  Returns:
    true if a match

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details